1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.3 Error when upgrading to xenForo 1.3.5

Discussion in 'Installation, Upgrade, and Import Support' started by M@rc, Sep 16, 2014.

  1. M@rc

    M@rc Well-Known Member

    I think I jumped from version 1.3.1 to 1.3.5 and now I'm getting an error when I open the upgrade screen :

    Server Error
    No such file or directory
    Zend_Db_Adapter_Mysqli->_connect() in Zend/Db/Adapter/Abstract.php at line 315
    Zend_Db_Adapter_Abstract->getConnection() in XenForo/Application.php at line 691
    call_user_func_array() in XenForo/Application.php at line 928
    XenForo_Application->lazyLoad() in XenForo/Application.php at line 959
    XenForo_Application::get() in XenForo/Application.php at line 1487
    XenForo_Application::getDb() in XenForo/Session.php at line 236
    XenForo_Session->__construct() in XenForo/Install/Controller/Upgrade.php at line 46
    XenForo_Install_Controller_Upgrade->_setupSession() in XenForo/Controller.php at line 304
    XenForo_Controller->preDispatch() in XenForo/FrontController.php at line 346
    XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 134
    XenForo_FrontController->run() in /var/www/vhosts/site.com/httpdocs/install/index.php at line 18
    PHP was recently upgraded to v5.4.28 and when I try to load a page of the forum, it says "An unexpected database error occurred. Please try again later."

    Page source says :
    An unexpected database error occurred. Please try again later.
    <!-- No such file or directory -->
    I tried re-uploading the files and disabling add-ons via config file but I get the same error. What should I do?
  2. Mike

    Mike XenForo Developer Staff Member

    This is a PHP configuration issue, at least if you didn't touch MySQL. See: http://stackoverflow.com/questions/...on-not-working-2002-no-such-file-or-directory

    You likely want to make sure the socket location is setup correctly. (Important to note that XenForo uses the MySQLi extension, which likely has different php.ini config names than the deprecated MySQL extension mentioned in the above link.) If you can't do that, changing library/config.php to use may workaround it.
    M@rc likes this.

Share This Page